Package org.apache.storm.coordination

## Class BatchSubtopologyBuilder

- java.lang.Object
- - org.apache.storm.coordination.BatchSubtopologyBuilder

-     public class BatchSubtopologyBuilder
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BatchSubtopologyBuilder​(String masterBoltId, IBasicBolt masterBolt)` |
    `BatchSubtopologyBuilder​(String masterBoltId, IBasicBolt masterBolt, Number boltParallelism)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `extendTopology​(TopologyBuilder builder)` |
    `BoltDeclarer` | `getMasterDeclarer()` |
    `BoltDeclarer` | `setBolt​(String id, IBatchBolt bolt)` |
    `BoltDeclarer` | `setBolt​(String id, IBatchBolt bolt, Number parallelism)` |
    `BoltDeclarer` | `setBolt​(String id, IBasicBolt bolt)` |
    `BoltDeclarer` | `setBolt​(String id, IBasicBolt bolt, Number parallelism)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BatchSubtopologyBuilder

          public BatchSubtopologyBuilder​(String masterBoltId,
                                         IBasicBolt masterBolt,
                                         Number boltParallelism)

    - #### BatchSubtopologyBuilder

          public BatchSubtopologyBuilder​(String masterBoltId,
                                         IBasicBolt masterBolt)

  - ### Method Detail

    - #### getMasterDeclarer

          public BoltDeclarer getMasterDeclarer()

    - #### setBolt

          public BoltDeclarer setBolt​(String id,
                                      IBatchBolt bolt)

    - #### setBolt

          public BoltDeclarer setBolt​(String id,
                                      IBatchBolt bolt,
                                      Number parallelism)

    - #### setBolt

          public BoltDeclarer setBolt​(String id,
                                      IBasicBolt bolt)

    - #### setBolt

          public BoltDeclarer setBolt​(String id,
                                      IBasicBolt bolt,
                                      Number parallelism)

    - #### extendTopology

          public void extendTopology​(TopologyBuilder builder)